Package com.google.android.exoplayer2

## Class Player.Commands

- java.lang.Object
- - com.google.android.exoplayer2.Player.Commands

- Enclosing interface:
    Player

      public static final class Player.Commands
      extends Object

  A set of `commands`.

  Instances are immutable.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Player.Commands.Builder` | A builder for `Player.Commands` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Player.Commands` | `EMPTY` | An empty set of commands.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `contains​(int command)` | Returns whether the set of commands contains the specified `Player.Command`.
    `boolean` | `equals​(Object obj)` |
    `int` | `get​(int index)` | Returns the `Player.Command` at the given index.
    `int` | `hashCode()` |
    `int` | `size()` | Returns the number of commands in this set.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final Player.Commands EMPTY

      An empty set of commands.

  - ### Method Detail

    - #### contains

          public boolean contains​(@Command
                                  int command)

      Returns whether the set of commands contains the specified `Player.Command`.

    - #### size

          public int size()

      Returns the number of commands in this set.

    - #### get

          @Command
          public int get​(int index)

      Returns the `Player.Command` at the given index.
      Parameters:
        `index` - The index. Must be between 0 (inclusive) and `size()` (exclusive).
      Returns:
        The `Player.Command` at the given index.
      Throws:
        `IndexOutOfBoundsException` - If index is outside the allowed range.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`